Bug 475871 - deprecation warning with python-2.6
deprecation warning with python-2.6
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: 475870 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-12-10 16:04 EST by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-19 12:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-12-10 16:04:34 EST
Description of problem:

/usr/lib/python2.6/site-packages/koji/__init__.py:34: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. import koji
Comment 1 Bill Nottingham 2008-12-10 16:04:52 EST
*** Bug 475870 has been marked as a duplicate of this bug. ***
Comment 2 Mike McLean 2008-12-10 16:28:22 EST
...and the pain begins....
Comment 3 Dennis Gilmore 2009-03-19 12:52:14 EDT
fixed in 1.3.0

Note You need to log in before you can comment on or make changes to this bug.